## org.mortbay.naming.factories
Class MailSessionReference.PasswordAuthenticator

    java.lang.Object
      javax.mail.Authenticator
          org.mortbay.naming.factories.MailSessionReference.PasswordAuthenticator

Enclosing class:
  MailSessionReference

    public static class MailSessionReference.PasswordAuthenticator

extends Authenticator

Constructor Summary
`MailSessionReference.PasswordAuthenticator()`
`MailSessionReference.PasswordAuthenticator(String user, String password)`

Method Summary
`String` `getPassword()`
`PasswordAuthentication` `getPasswordAuthentication()`
`String` `getUser()`
`void` `setPassword(String password)`
`void` `setUser(String user)`

Methods inherited from class javax.mail.Authenticator
`getDefaultUserName, getRequestingPort, getRequestingPrompt, getRequestingProtocol, getRequestingSite`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MailSessionReference.PasswordAuthenticator

    public MailSessionReference.PasswordAuthenticator()

### MailSessionReference.PasswordAuthenticator

    public MailSessionReference.PasswordAuthenticator(String user,
                                                      String password)

Method Detail

### getPasswordAuthentication

    public PasswordAuthentication getPasswordAuthentication()

  Overrides:
    `getPasswordAuthentication` in class `Authenticator`

### setUser

    public void setUser(String user)

### getUser

    public String getUser()

### getPassword

    public String getPassword()

### setPassword

    public void setPassword(String password)

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.